/*
 * Compiz Tiles Plugin
 *
 * mockresizable.h
 *
 * Copyright (c) 2011 Sam Spilsbury <smspillaz@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _TILES_MOCKDRAWABLE_H
#define _TILES_MOCKDRAWABLE_H

#include <core/rect.h>
#include <core/region.h>
#include "drawable.h"

class MockDrawable :
    public DrawableWindowInterface
{
    public:

	MOCK_METHOD0 (getDrawWindowGeometry, CompRect ());
	MOCK_METHOD1 (glDrawSetEnabled, void (bool));
	MOCK_METHOD0 (damage, void ());
};

#endif
