/*
 * Compiz Tiles Plugin
 *
 * tiles.h
 *
 * Copyright (c) 2011 Sam Spilsbury <smspillaz@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _TILES_MOUSEHOTSPOTGENERATOR_H
#define _TILES_MOUSEHOTSPOTGENERATOR_H

#include <core/point.h>
#include <core/rect.h>

class MouseHotspotGeneratorInterface
{
    public:

	virtual ~MouseHotspotGeneratorInterface () {};

	virtual CompRect rectToFillForHotspot (const CompPoint &) = 0;
	virtual const CompRect & dragZoneForPoint (const CompPoint &) const = 0;
};

#endif
