#include <gtest/gtest.h>
#include <gmock/gmock.h>

#include "resizeallocator.h"
#include "resizable.h"
#include "mockresizable.h"

class TilesResizeAllocatorTest:
    public ::testing::Test
{
};

TEST(TilesResizeAllocatorTest, TestSetAllocation)
{
    MockResizable   mr;
    ResizeAllocator ra (&mr);

    EXPECT_EQ (true, ra.setAllocation (CompRect (0, 0, 1, 1)));
    EXPECT_EQ (CompRect (0, 0, 1, 1), ra.allocation ());
}
