/*
 * Compiz Tiles Plugin
 *
 * monitor.h
 *
 * Copyright (c) 2011 Sam Spilsbury <smspillaz@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef _TILES_MONITOR_H
#define _TILES_MONITOR_H

#include <core/region.h>
#include <core/rect.h>

class WindowMonitorInterface
{
    public:

	virtual ~WindowMonitorInterface () {}

	virtual CompRegion monitorRegion () = 0;
	virtual CompRect monitorWorkArea () = 0;
};

#endif
